package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


/**
 * 消息对象 po_news
 * @date 2023-01-15
 */
public class PoNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息Id */
    private String newsId;

    /** 消息标题 */
    @Excel(name = "消息标题")
    private String newsTitle;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String newsContent;

    /** 状态（0正常 1关闭） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /** 逻辑删除（0未删除 2删除） */
    @Excel(name = "逻辑删除", readConverterExp = "0=未删除,2=删除")
    private String delFlag;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 发布人员 */
    @Excel(name = "发布人员")
    private String publisherId;

    /** 接收人电话 */
    @Excel(name = "接收人")
    private String phonenumber;

    @Excel(name = "图片")
    private String image;

    @Excel(name = "发布信息时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date newsTime;

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setNewsTime(Date newsTime){
        this.newsTime = newsTime;
    }
    public Date getNewsTime(){
        return newsTime;
    }

    public void setImage(String image){
        this.image = image;
    }

    public String getImage() {
        return image;
    }

    public void setNewsId(String newsId)
    {
        this.newsId = newsId;
    }

    public String getNewsId()
    {
        return newsId;
    }
    public void setNewsTitle(String newsTitle)
    {
        this.newsTitle = newsTitle;
    }

    public String getNewsTitle()
    {
        return newsTitle;
    }
    public void setNewsContent(String newsContent)
    {
        this.newsContent = newsContent;
    }

    public String getNewsContent()
    {
        return newsContent;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getDelFlag(){
        return delFlag;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setPublisherId(String publisherId)
    {
        this.publisherId = publisherId;
    }

    public String getPublisherId()
    {
        return publisherId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("newsId", getNewsId())
                .append("newsTitle", getNewsTitle())
                .append("newsContent", getNewsContent())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("sort", getSort())
                .append("publisherId", getPublisherId())
                .append("delFlag",getDelFlag())
                .append("image",getImage())
                .append("newsTime",getNewsTime())
                .toString();
    }
}
